<div class='mb_import_excel'>
  <div class='input__group'>
    <label *ngIf='mbLabelText != null' class='input__label'>{{mbLabelText}}</label>
    <nz-upload
      nzType='drag'
      [nzMultiple]='false' [(nzFileList)]="fileList" [nzBeforeUpload]='beforeUpload' (change)='handleImportFile()'>
      <p class='ant-upload-drag-icon'>
        <img alt='' src='assets/icon/staff-manager/import.svg'>
      </p>
      <p class='ant-upload-text'>{{'common.upload.description'|translate}}</p>
      <p class='ant-upload-hint'>
        {{'common.upload.supportExcel'|translate}}
      </p>
    </nz-upload>
  </div>
  <nz-modal (nzOnCancel)="doCloseModal()" [nzCentered]='true' [nzVisible]='isModalError'
            nzTitle="{{'common.error.list'|translate}}">
    <div *nzModalContent>
      <nz-table [nzScroll]="{y: '300px' }" [nzData]='errorList' nzBordered='true' nzSize='small' nzShowPagination='false'>
        <thead>
        <tr>
          <th scope="col" nzAlign='center' nzWidth='40px'>#</th>
          <th scope="col" nzWidth='60px'>{{'common.table.row'|translate}}</th>
          <th scope="col" nzWidth='60px'>{{'common.table.column'|translate}}</th>
          <th scope="col">{{'common.error.description'|translate}}</th>
          <th scope="col" nzWidth='100px'>{{'common.error.value'|translate}}</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor='let data of errorList; let i = index'>
          <td nzAlign='center'>{{ i + 1 }}</td>
          <td nzAlign='center'>{{ data?.row }}</td>
          <td nzAlign='center'>{{ data?.columnLabel }}</td>
          <td><span [innerHtml]='data?.description'></span></td>
          <td><span [innerHtml]='data?.content'></span></td>
        </tr>
        </tbody>
      </nz-table>
      <div class='linkDownload' style='margin-top: 10px'>
        <a (click)='doDownloadFile()'>{{'common.error.downloadFile' | translate}}</a>
      </div>
    </div>
    <div *nzModalFooter>
      <mb-button (click)='doCloseModal()' mbPrefixIcon='close-circle'
                 mbButtonText="{{'common.button.close'|translate}}" mbButtonAvailableStyle='DANGER'></mb-button>
    </div>
  </nz-modal>
</div>
